## numpy 2.3.4+ds

=== doc/source/f2py/code/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18) # Needed to avoid requiring embedded Python libs too

project(fibby
  VERSION 1.0
  DESCRIPTION "FIB module"
  LANGUAGES C Fortran
)

# Safety net
if(PROJECT_SOURCE_DIR STREQUAL PROJECT_BINARY_DIR)
  message(
    FATAL_ERROR
      "In-source builds not allowed. Please make a new directory (called a build directory) and run CMake from there.\n"
  )
endif()

# Grab Python, 3.8 or newer
find_package(Python 3.8 REQUIRED
  COMPONENTS Interpreter Development.Module NumPy)

# Grab the variables from a local Python installation
# F2PY headers
execute_process(
  COMMAND "${Python_EXECUTABLE}"
  -c "import numpy.f2py; print(numpy.f2py.get_include())"
  OUTPUT_VARIABLE F2PY_INCLUDE_DIR
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

# Print out the discovered paths
include(CMakePrintHelpers)
cmake_print_variables(Python_INCLUDE_DIRS)
cmake_print_variables(F2PY_INCLUDE_DIR)
cmake_print_variables(Python_NumPy_INCLUDE_DIRS)

# Common variables
set(f2py_module_name "fibby")
set(fortran_src_file "${CMAKE_SOURCE_DIR}/fib1.f")
set(f2py_module_c "${f2py_module_name}module.c")

# Generate sources
add_custom_target(
  genpyf
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${f2py_module_c}"
)
add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${f2py_module_c}"
  COMMAND ${Python_EXECUTABLE}  -m "numpy.f2py"
                   "${fortran_src_file}"
                   -m "fibby"
                   --lower # Important
  DEPENDS fib1.f # Fortran source
)

# Set up target
Python_add_library(${CMAKE_PROJECT_NAME} MODULE WITH_SOABI
  "${CMAKE_CURRENT_BINARY_DIR}/${f2py_module_c}" # Generated
  "${F2PY_INCLUDE_DIR}/fortranobject.c" # From NumPy
  "${fortran_src_file}" # Fortran source(s)
)

# Depend on sources
target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE Python::NumPy)
add_dependencies(${CMAKE_PROJECT_NAME} genpyf)
target_include_directories(${CMAKE_PROJECT_NAME} PRIVATE "${F2PY_INCLUDE_DIR}")

=== numpy/_core/src/npysort/x86-simd-sort/Makefile ===
test:
	meson setup -Dbuild_tests=true -Duse_openmp=false --warnlevel 2 --werror --buildtype release builddir
	cd builddir && ninja

test_openmp:
	meson setup -Dbuild_tests=true -Duse_openmp=true --warnlevel 2 --werror --buildtype release builddir
	cd builddir && ninja

test_asan:
	meson setup -Dbuild_tests=true -Duse_openmp=true -Db_sanitize=address,undefined -Dfatal_sanitizers=true -Db_lundef=false -Dasan_ci_dont_validate=true --warnlevel 0 --buildtype debugoptimized builddir
	cd builddir && ninja

bench:
	meson setup -Dbuild_benchmarks=true --warnlevel 2 --werror --buildtype release builddir
	cd builddir && ninja

debug:
	meson setup -Dbuild_tests=true --warnlevel 2 --werror --buildtype debug debug
	cd debug && ninja

sharedlib:
	meson setup --warnlevel 2 --werror --buildtype release builddir
	cd builddir && ninja

staticlib:
	meson setup -Dlib_type=static --warnlevel 2 --werror --buildtype release builddir
	cd builddir && ninja

install:
	meson setup --warnlevel 2 --werror --buildtype release builddir
	cd builddir && meson install

clean:
	$(RM) -rf $(TESTOBJS) $(BENCHOBJS) $(UTILOBJS) testexe benchexe builddir debug

=== vendored-meson/meson/test cases/unit/128 long opt vs D/meson_options.txt ===
option('sysconfdir2', type: 'string', value: '')

=== numpy/_core/src/npysort/x86-simd-sort/examples/Makefile ===
CXX ?= g++-13
CFLAGS = -I../src -std=c++17 -O3
EXE = kvsort qsortavx2 qsortavx512 qsortspr qsorticl

default: all
all : $(EXE)

kvsort: avx512-kv.cpp
	     $(CXX) -o kvsort -mavx512vl -mavx512dq $(CFLAGS) avx512-kv.cpp

qsortavx512: skx-avx2.cpp
	     $(CXX) -o qsortavx512 -mavx512vl -mavx512dq $(CFLAGS) skx-avx2.cpp

qsortavx2: skx-avx2.cpp
	     $(CXX) -o qsortavx2 -mavx2 $(CFLAGS) skx-avx2.cpp

qsorticl: icl-16bit.cpp
	     $(CXX) -o qsorticl -mavx512vl -mavx512bw -mavx512dq -mavx512vbmi2 $(CFLAGS) icl-16bit.cpp

qsortspr: spr-16bit.cpp
	     $(CXX) -o qsortspr -mavx512vl -mavx512dq -mavx512vbmi2 -mavx512fp16  $(CFLAGS) spr-16bit.cpp

clean:
	$(RM) $(EXE)

=== vendored-meson/meson/test cases/common/87 default options/subprojects/sub1/meson_options.txt ===
option('test_option', type : 'boolean', value : true, description : 'Test option. Superproject overrides default to "false"')
option('func_test_option', type : 'boolean', value : false, description : 'Test option. Superproject overrides default to "true"')

=== debian/changelog ===
numpy (1:2.3.4+ds-3ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable (LP: #2130177), remaining changes:
    - Skip test_cpu_features on ppc64el and s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Nov 2025 18:32:17 +0000

=== debian/control ===
Source: numpy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Christian Kastner <ckk@debian.org>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cython3:native (>= 3.0),
 gfortran [amd64 arm64 ppc64el] <!nocheck>,
 libblas-dev [!arm !m68k],
 liblapack-dev [!arm !m68k],
 libpython3-all-dev,
 mypy <!nocheck>,
 ninja-build,
 pkgconf <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all-dev:any,
 python3-charset-normalizer <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-mesonpy:native,
 python3-pyproject-metadata:native,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools <!nocheck>,
 python3-typing-extensions (>= 4.2.0) <!nocheck>,
 python3-pytz <!nocheck>,
 tzdata-legacy <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 doxygen <!nodoc>,
 python-imageio-doc <!nodoc>,
 python-pandas-doc <!nodoc>,
 python-pytest-doc <!nodoc>,
 python-scipy-doc <!nodoc>,
 python-skimage-doc <!nodoc>,
 python3-breathe <!nodoc>,
 python3-doc <!nodoc>,
 python3-ipython <!nodoc>,
 python3-matplotlib <!nodoc>,
 python3-numpydoc <!nodoc>,
 python3-pickleshare <!nodoc>,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-design <!nodoc>,
# python-matplotlib-doc <!nodoc>,  # missing
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/numpy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/numpy
Homepage: http://www.numpy.org/
Testsuite: autopkgtest-pkg-pybuild
Description: Python library for numerical computations
 NumPy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.

Package: python3-numpy
Architecture: any
Multi-Arch: allowed
Pre-Depends:
 dpkg (>= 1.17.14),
Depends:
 python3-numpy-dev (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 gcc,
 gfortran,
 python-numpy-doc,
 python3-dev,
 python3-pytest,
Provides:
 python3-f2py,
 ${numpy3:Provides},
 ${python3:Provides},
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs NumPy for Python 3.

Package: python-numpy-doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-imageio-doc,
 python-pandas-doc,
 python-pytest-doc,
 python-scipy-doc,
 python-skimage-doc,
 python3-doc,
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: ${source:Synopsis} (Documentation)
 ${source:Extended-Description}
 .
 This package contains documentation for NumPy and f2py.

Package: python3-numpy-dev
Architecture: any
Multi-Arch: same
Breaks:
 python3-numpy (<< 1:2.1.3+ds-1~),
Replaces:
 python3-numpy (<< 1:2.1.3+ds-1~),
Depends:
 ${misc:Depends},
Recommends:
 python3-numpy,
Provides:
 dh-sequence-numpy3,
Description: ${source:Synopsis} (Python 3 headers)
 ${source:Extended-Description}
 .
 This package installs the development headers which are needed
 to build C/C++ extensions with NumPy for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Large file support actually works, but some buildds and Salsa do not like us
# creating 5 GB files.
SKIP_TESTS = \
	test_big_arrays \
	test_large_file_support \
	test_configtool
# Some tests have architecture-specific issues. Generally, these are related to
# unexpected behavior of floating point operations (unexpected for the unit
# tests, that is).
ifneq ($(filter armel armhf,$(DEB_HOST_ARCH)),)
SKIP_TESTS += \
	FPClass \
	SpecialFloats \
	TestBoolCmp \
	error \
	except \
	overflow \
	test_denormal_numbers \
	test_divide_err \
	test_empty \
	test_exotic \
	test_features \
	test_half_fpe \
	test_linear_interpolation_formula_symmetric \
	test_log2_special \
	test_nonarray_assignment \
	test_special_values \
	test_where \
	test_zero_power_nonzero
endif
# The huge vector exceeds the available address space on 32 bit architectures
ifeq ($(DEB_HOST_ARCH_BITS),32)
SKIP_TESTS += \
	test_huge_vectordot
endif
ifneq ($(filter armel,$(DEB_HOST_ARCH)),)
SKIP_TESTS += \
	test_dot_errstate
endif
ifneq ($(filter mips64el,$(DEB_HOST_ARCH)),)
SKIP_TESTS += \
	NanFunctions \
	SpecialComplex \
	SpecialFloats \
	error \
	test_reduce
endif
ifneq ($(filter alpha mips64el powerpc ppc64 sparc64,$(DEB_HOST_ARCH)),)
SKIP_TESTS += \
	sq_cases
endif
ifneq ($(filter hppa powerpc,$(DEB_HOST_ARCH)),)
SKIP_TESTS += \
	ctypeslib \
	test_dtype
endif
ifneq ($(filter powerpc,$(DEB_HOST_ARCH)),)
SKIP_TESTS += \
	test_linalg
endif
ifneq ($(filter ppc64el,$(DEB_HOST_ARCH)),)
SKIP_TESTS += \
	test_cpu_features \
	test_ppc64_ibm_double_double128 \
	test_linear_interpolation_formula_symmetric
endif
ifneq ($(filter riscv64,$(DEB_HOST_ARCH)),)
SKIP_TESTS += \
	test_unary_spurious_fpexception
endif
ifneq ($(filter s390x,$(DEB_HOST_ARCH)),)
SKIP_TESTS += \
	test_cpu_features
endif
ifeq ($(PYBUILD_AUTOPKGTEST),1)
SKIP_TESTS += test_dict_mode
endif

export PYBUILD_BUILD_ARGS = --config-setting build-dir={dir}/.mesonpy
export PYBUILD_TEST_ARGS = $(if $(SKIP_TESTS),-k 'not ($(call concat_with,$(space)or$(space),$(SKIP_TESTS)))')
ifeq ($(PYBUILD_AUTOPKGTEST),1)
PYBUILD_TEST_ARGS += /usr/lib/python3/dist-packages/numpy
endif

ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
export PYBUILD_BEFORE_BUILD = meson env2mfile --debarch $(DEB_HOST_ARCH) --cross -o {dir}/debian/meson-cross.txt \
	&& python3 {dir}/debian/helpers/add_longdouble_format_property.py {dir}/debian/meson-cross.txt $(DEB_HOST_ARCH)
export PYBUILD_AFTER_BUILD = rm {dir}/debian/meson-cross.txt
PYBUILD_BUILD_ARGS += --config-setting setup-args=--cross-file={dir}/debian/meson-cross.txt
endif

# Helper variables
PY3VERS = $(shell py3versions -vr)
PY3DEF = $(shell py3versions -vd)
STAGING_DIR = $(CURDIR)/debian/tmp
PYTHON3_NUMPY_DIR = $(CURDIR)/debian/python3-numpy
space = $(eval) $(eval)
concat_with = $(subst $(space),$1,$2)

%:
	dh $@ --buildsystem=pybuild

auto-build-for-default-python:
	PYBUILD_DISABLE="$(filter-out $(PY3DEF),$(PY3VERS))" dh_auto_build
	touch $@

auto-build-for-other-python:
	PYBUILD_DISABLE="$(PY3DEF)" dh_auto_build
	touch $@

override_dh_auto_build-arch: auto-build-for-default-python auto-build-for-other-python
	true

override_dh_auto_build-indep: auto-build-for-default-python
	$(MAKE) -C doc html \
		GITVER=Unknown \
		MPLCONFIGDIR=. \
		SPHINXOPTS= \
		PYTHON=python3 \
		PYTHONPATH=$(shell pybuild --print {build_dir} --interpreter python3)

# Nothing to install for -indep
override_dh_auto_install-indep:

# No tests to run for the -doc package
override_dh_auto_test-indep:

override_dh_auto_test-arch:
	dh_auto_test --arch -O--buildsystem=pybuild

execute_after_dh_python3-arch:
	# tweak the entry_points console_scripts list to include all supported versions
	if [ -f $(PYTHON3_NUMPY_DIR)/usr/lib/python3/dist-packages/numpy-*.dist-info/entry_points.txt ] ; then \
		ENTRYPOINT=$(shell ls $(PYTHON3_NUMPY_DIR)/usr/lib/python3/dist-packages/numpy-*.dist-info/entry_points.txt) ; \
		python3 debian/helpers/edit_console_scripts.py $$ENTRYPOINT "f2py3" "numpy.f2py.f2py2e:main" ; \
		for v in $(PY3VERS); do \
			python3 debian/helpers/edit_console_scripts.py $$ENTRYPOINT "f2py$$v" "numpy.f2py.f2py2e:main" ; \
		done \
	fi
	# Remove test artifact
	rm -f $(PYTHON3_NUMPY_DIR)/usr/lib/python3/dist-packages/xm.np.npy

MULTIARCH_TREE_DIR = $(STAGING_DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/python3-numpy/numpy
execute_before_dh_install-arch:
	# add versioned f2pyX.Y scripts
	cp -a $(STAGING_DIR)/usr/bin/f2py $(STAGING_DIR)/usr/bin/f2py3
	# Create wrappers to run python$$i without dh-python generating a
	# hard dependency on all of those interpreters (#945824)
	set -e; for v in $(PY3VERS); do \
		sed -e "s,@VERSION@,$$v,g" debian/f2py.in > $(STAGING_DIR)/usr/bin/f2py$$v; \
		chmod 0755 $(STAGING_DIR)/usr/bin/f2py$$v; \
	done
	# Remove various LICENSE files from inconvienient locations
	find $(STAGING_DIR)/usr/lib -name "LICENSE*" -delete
	# Move NumPy headers to Multi-Arch friendly location
	mkdir -p $(MULTIARCH_TREE_DIR)/_core $(MULTIARCH_TREE_DIR)/random $(MULTIARCH_TREE_DIR)/f2py
	mv $(STAGING_DIR)/usr/lib/python$(PY3DEF)/dist-packages/numpy/_core/include $(MULTIARCH_TREE_DIR)/_core
	mv $(STAGING_DIR)/usr/lib/python$(PY3DEF)/dist-packages/numpy/_core/lib $(MULTIARCH_TREE_DIR)/_core
	mv $(STAGING_DIR)/usr/lib/python$(PY3DEF)/dist-packages/numpy/random/lib $(MULTIARCH_TREE_DIR)/random
	mv $(STAGING_DIR)/usr/lib/python$(PY3DEF)/dist-packages/numpy/f2py/src $(MULTIARCH_TREE_DIR)/f2py
	rm -rf $(STAGING_DIR)/usr/lib/python3.*/dist-packages/numpy/_core/include
	rm -rf $(STAGING_DIR)/usr/lib/python3.*/dist-packages/numpy/_core/lib
	rm -rf $(STAGING_DIR)/usr/lib/python3.*/dist-packages/numpy/random/lib
	rm -rf $(STAGING_DIR)/usr/lib/python3.*/dist-packages/numpy/f2py/src
	# Remove build path from __config__.py
	sed -i -e "s;$(CURDIR);\$$BUILDDIR;g" $(STAGING_DIR)/usr/lib/python3*/dist-packages/numpy/__config__.py
	# Remove Python version information from __config__.py
	sed -i -e '/"Python Information": {/,/},/d' $(STAGING_DIR)/usr/lib/python3*/dist-packages/numpy/__config__.py
	# Install numpy.pc for global discovery (without numpy-config shenanigans)
	mkdir -p $(STAGING_DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed \
		-e "s,@VERSION@,$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d+ -f1),g" \
		-e "s,@MULTIARCH@,$(DEB_HOST_MULTIARCH),g" \
		debian/numpy.pc.in > $(STAGING_DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/numpy.pc

execute_before_dh_gencontrol:
	python3 debian/helpers/numpy_substvars.py >> debian/python3-numpy.substvars

download_remote_intersphinx_inventories:
	curl https://matplotlib.org/stable/objects.inv -o debian/intersphinx/matplotlib_objects.inv
	curl https://numpydoc.readthedocs.io/en/latest/objects.inv -o debian/intersphinx/numpydoc_objects.inv
	curl https://numpy.org/neps/objects.inv -o debian/intersphinx/neps_objects.inv
	curl https://numpy.org/numpy-tutorials/objects.inv -o debian/intersphinx/numpy-tutorials_objects.inv
	curl https://dmlc.github.io/dlpack/latest/objects.inv -o debian/intersphinx/dlpack_objects.inv
	curl https://scipy-lectures.org/objects.inv -o debian/intersphinx/scipy-lectures_objects.inv

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/numpy/numpy/releases
Search-Mode: plain
Matching-Pattern: https://github.com/[^/]+/[^/]+/releases/download/v\d[\.\d]*/numpy@SEMANTIC_VERSION@@ARCHIVE_EXT@
Dversion-Mangle: auto
Repack: yes
Repack-Suffix: +ds

## numpy 2.3.5%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: numpy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Christian Kastner <ckk@debian.org>,
  Timo Röhling <roehling@debian.org>,
@@ -25,9 +24,9 @@
  python3-pyproject-metadata:native,
  python3-pytest <!nocheck>,
  python3-pytest-xdist <!nocheck>,
+ python3-pytz <!nocheck>,
  python3-setuptools <!nocheck>,
  python3-typing-extensions (>= 4.2.0) <!nocheck>,
- python3-pytz <!nocheck>,
  tzdata-legacy <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
@@ -48,7 +47,7 @@
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-design <!nodoc>,
 # python-matplotlib-doc <!nodoc>,  # missing
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/numpy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/numpy
 Homepage: http://www.numpy.org/

## numpy 2.3.5+ds

=== debian/changelog ===
numpy (1:2.3.5+ds-3) unstable; urgency=medium

  [ Drew Parsons ]
  * x32: skip test_advance_symmetry (random)
  * hurd: skip test_tuple_recursion (core test_dtype)

  [ Timo Röhling ]
  * Drop --config-setting build-dir (Closes: #1124186)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Dec 2025 17:31:24 +0100

numpy (1:2.3.5+ds-2) unstable; urgency=medium

  * Also fix integer size for new flags type

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Nov 2025 22:28:54 +0100

numpy (1:2.3.5+ds-1) unstable; urgency=medium

  * New upstream version 2.3.5+ds
  * Update patches
    - Merged: 0012-Avoid-compilation-error-of-wrapper-file-generated-wi.patch
  * Skip test which misbehaves on powerpc.
    Thanks to Drew Parsons (Closes: #1121005)
  * Fix integer size mismatch.
    Again thanks to Drew Parsons (Closes: #1120971)
  * Wrap and sort Debian package files
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Nov 2025 09:47:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -77,11 +77,18 @@
 SKIP_TESTS += \
 	test_cpu_features
 endif
+ifneq ($(filter hurd,$(DEB_HOST_ARCH_OS)),)
+SKIP_TESTS += \
+	test_tuple_recursion
+endif
+ifneq ($(filter x32,$(DEB_HOST_ARCH)),)
+SKIP_TESTS += \
+	test_advance_symmetry
+endif
 ifeq ($(PYBUILD_AUTOPKGTEST),1)
 SKIP_TESTS += test_dict_mode
 endif
 
-export PYBUILD_BUILD_ARGS = --config-setting build-dir={dir}/.mesonpy
 export PYBUILD_TEST_ARGS = $(if $(SKIP_TESTS),-k 'not ($(call concat_with,$(space)or$(space),$(SKIP_TESTS)))')
 ifeq ($(PYBUILD_AUTOPKGTEST),1)
 PYBUILD_TEST_ARGS += /usr/lib/python3/dist-packages/numpy
@@ -91,7 +98,7 @@
 export PYBUILD_BEFORE_BUILD = meson env2mfile --debarch $(DEB_HOST_ARCH) --cross -o {dir}/debian/meson-cross.txt \
 	&& python3 {dir}/debian/helpers/add_longdouble_format_property.py {dir}/debian/meson-cross.txt $(DEB_HOST_ARCH)
 export PYBUILD_AFTER_BUILD = rm {dir}/debian/meson-cross.txt
-PYBUILD_BUILD_ARGS += --config-setting setup-args=--cross-file={dir}/debian/meson-cross.txt
+export PYBUILD_BUILD_ARGS = --config-setting setup-args=--cross-file={dir}/debian/meson-cross.txt
 endif
 
 # Helper variables

## numpy 2.4.1+ds

=== debian/changelog ===
numpy (1:2.4.1+ds-1) experimental; urgency=medium

  * New upstream version 2.4.1+ds
  * Update patches
    - Merged: 0011-Add-object-copy-for-f2py-meson-backend.patch
    - Obsolete: 0012-Skip-test_arbitrary_number_of_ops_error-on-32-bit-ar.patch
    - Merged: 0013-Fix-integer-size-mismatch.patch
  * Bump C API Version to 21

 -- Timo Röhling <roehling@debian.org>  Thu, 29 Jan 2026 22:02:06 +0100

## numpy 2.4.2+ds

=== debian/changelog ===
numpy (1:2.4.2+ds-1) experimental; urgency=medium

  * New upstream version 2.4.2+ds
  * Refresh patch (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Feb 2026 22:29:25 +0100

## numpy choices-0.10

=== numpy_choices/requirements.txt ===
check_if_nan
numpy

## numpy ipps-0.0.3.dev0

=== docs/requirements.txt ===
breathe<4.15
sphinx<3
sphinx_rtd_theme
sphinxcontrib-apidoc
m2r
pyyaml

## numpy ipps-2.2.1.dev0

=== docs/requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 sphinxcontrib-apidoc
 m2r
 pyyaml
+rst2pdf

## numpy nn-0.2.6

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = numpy_nn
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
